Bug 285090 - Multiple destination points in route planner
Summary: Multiple destination points in route planner
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: 1.3 (KDE 4.8)
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-27 12:23 UTC by karaluh
Modified: 2012-05-13 21:10 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: KDE-4.9.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karaluh 2011-10-27 12:23:25 UTC
Version:           unspecified
OS:                Linux

As in summary.

Reproducible: Didn't try

Steps to Reproduce:
It's a feature request.

Actual Results:  
It's a feature request.

Expected Results:  
It's a feature request.

OS: Linux (i686) release 3.0.0-13-generic
Compiler: gcc
Comment 1 Florian Eßer 2011-10-27 13:03:49 UTC
What do you mean with "Multiple destination points"?

You can add intermediate destinations along the route by dragging the blue line to where you want it to pass.
(It's true though that there is no "Add Via" button or similar in the GUI.)
Comment 2 karaluh 2011-10-27 13:20:13 UTC
(In reply to comment #1)
> What do you mean with "Multiple destination points"?

Exactly, what you described below.

> You can add intermediate destinations along the route by dragging the blue
> line to where you want it to pass.

Yes, I've figured it out just after reporting this bug. It's useful in some cases, but not that much if you need to add intermediate destination by address - which is the usual thing to do.

> (It's true though that there is no "Add Via" button or similar in the GUI.)

And I would realy like to have one :)
Comment 3 Dennis Nienhüser 2012-05-13 21:10:21 UTC
Git commit 70003fa4d415f545c66d0ee13b16d18f7c4d812f by Dennis Nienhüser.
Committed on 13/05/2012 at 22:54.
Pushed by nienhueser into branch 'master'.

Make common tasks easier/possible in the user interface.

Adds buttons to open a route (from .kml), clear the current one,
reverse it, add a via point and save it.
GUI:
REVIEW: 102539
Related: bug 281278, bug 278625
FIXED-IN: KDE-4.9.0

A  +-    --    src/icons/16x16/configure.png
A  +-    --    src/icons/16x16/document-open.png
A  +-    --    src/icons/16x16/document-save.png
M  +19   -33   src/lib/routing/RoutingWidget.cpp
M  +72   -16   src/lib/routing/RoutingWidget.ui
M  +3    -0    src/marble.qrc

http://commits.kde.org/marble/70003fa4d415f545c66d0ee13b16d18f7c4d812f